please update to webkit2gtk 2.16.2

Bug #1690536 reported by Adam Dingle on 2017-05-13
22
This bug affects 3 people
Affects Status Importance Assigned to Milestone
webkit2gtk (Ubuntu)
High
Unassigned
Xenial
High
Unassigned
Yakkety
High
Unassigned
Zesty
High
Unassigned

Bug Description

Impact
------
WebKitGTK 2.16.2 is here:

https://webkitgtk.org/2017/05/09/webkitgtk2.16.2-released.html

Please update Zesty (17.04) with this release. Thanks!

The first part of the changelog (the fix for Google new's login and the new YouTube) (LP: #1687019) was already backported to Ubuntu so that we could get that high priority fix to Ubuntu users faster.

Test Case
---------
1. Check a recent Ubuntu 17.10 daily build that has webkit2gtk 2.16.2 to ensure the installer slideshow works.

2. Make sure that epiphany-browser, evolution and yelp still work since historically they used some of webkit2gtk's internal API.

Regression Potential
--------------------
Last year, a minor WebKit release in Ubuntu's development release had some regressions which broke our installer slideshow (LP: #1618956) so now we specifically check that.

Other Info
----------
This update did cause sphinx's autopkgtests to fail (LP: #1690574). But that appears to have been because of a bug in those autopkgtests and is unlikely to affect anything else.

sphinx has been fixed now and its SRUs have been accepted into -updates.

Jeremy Bicha (jbicha) on 2017-05-13
description: updated
Changed in webkit2gtk (Ubuntu):
status: New → Fix Committed
summary: - please update zesty to webkit2gtk 2.16.2
+ please update to webkit2gtk 2.16.2
Changed in webkit2gtk (Ubuntu Xenial):
importance: Undecided → High
Changed in webkit2gtk (Ubuntu):
importance: Undecided → High
Changed in webkit2gtk (Ubuntu Yakkety):
importance: Undecided → High
Changed in webkit2gtk (Ubuntu Zesty):
importance: Undecided → High
status: New → Triaged
Changed in webkit2gtk (Ubuntu Yakkety):
status: New → Triaged
Changed in webkit2gtk (Ubuntu Xenial):
status: New → Triaged
Jeremy Bicha (jbicha) on 2017-05-13
tags: added: xenial yakkety zesty
description: updated
Jeremy Bicha (jbicha) on 2017-05-13
description: updated
Jeremy Bicha (jbicha) on 2017-05-13
Changed in webkit2gtk (Ubuntu):
status: Fix Committed → Fix Released
Jeremy Bicha (jbicha) on 2017-05-13
Changed in webkit2gtk (Ubuntu Xenial):
status: Triaged → In Progress
Changed in webkit2gtk (Ubuntu Yakkety):
status: Triaged → In Progress
Changed in webkit2gtk (Ubuntu Zesty):
status: Triaged → In Progress

Hello Adam, or anyone else affected,

Accepted webkit2gtk into zesty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/webkit2gtk/2.16.2-0ubuntu0.17.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in webkit2gtk (Ubuntu Zesty):
status: In Progress → Fix Committed
tags: added: verification-needed
Brian Murray (brian-murray) wrote :

Hello Adam, or anyone else affected,

Accepted webkit2gtk into yakkety-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/webkit2gtk/2.16.2-0ubuntu0.16.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in webkit2gtk (Ubuntu Yakkety):
status: In Progress → Fix Committed
Changed in webkit2gtk (Ubuntu Xenial):
status: In Progress → Fix Committed
Brian Murray (brian-murray) wrote :

Hello Adam, or anyone else affected,

Accepted webkit2gtk into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/webkit2gtk/2.16.2-0ubuntu0.16.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Jeremy Bicha (jbicha) wrote :

I verified that the installer slideshow is working in this week's Ubuntu 17.10 daily images (with webkit 2.16.2).

Kacper Bielecki (kazjote) wrote :

I was experiencing crashes of Geary master with webkit2gtk-2.16.1. Geary built with updated package (webkit2gtk-2.16.2) works stable for me. It fixes my problem.

tags: added: verification-done
removed: verification-needed
Jeremy Bicha (jbicha) wrote :

Kacper, thank you for your feedback which helps make Ubuntu better.
Which specific version of webkit2gtk 2.16.2 did you test and on which Ubuntu release?

Kacper Bielecki (kazjote) wrote :

Hi Jeremy,

I have tested it on zesty. My installed package version is 2.16.2-0ubuntu0.17.04.1 amd64. I have installed it using apt after enabling proposed updates.

Jeremy Bicha (jbicha) on 2017-05-22
tags: added: verification-done-zesty verification-needed-xenial verification-needed-yakkety
removed: verification-done
Jeremy Bicha (jbicha) wrote :

I install webkit2gtk 2.16.2-0ubuntu0.16.04.1 on Ubuntu GNOME 16.04 and webkit2gtk 2.16.2-0ubuntu0.16.10.1 on Ubuntu GNOME 16.10 and verified that epiphany, evolution and yelp all still work.

Also, I've been using webkit2gtk 2.16.2 on Ubuntu GNOME 17.04 for the past several days without a problem.

tags: added: verification-done
removed: verification-done-zesty verification-needed-xenial verification-needed-yakkety
description: updated

The verification of the Stable Release Update for webkit2gtk has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package webkit2gtk - 2.16.2-0ubuntu0.16.10.1

---------------
webkit2gtk (2.16.2-0ubuntu0.16.10.1) yakkety; urgency=medium

  * New upstream release (LP: #1690536)
  * Drop patches applied in new release
    - fix-google-login.patch
    - fix-new-youtube.patch

 -- Jeremy Bicha <email address hidden> Sat, 13 May 2017 18:12:24 -0400

Changed in webkit2gtk (Ubuntu Yakkety):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package webkit2gtk - 2.16.2-0ubuntu0.17.04.1

---------------
webkit2gtk (2.16.2-0ubuntu0.17.04.1) zesty; urgency=medium

  * New upstream release (LP: #1690536)
  * Drop patches applied in new release
    - fix-ftbfs-x32.patch
    - fix-google-login.patch
    - fix-new-youtube.patch

 -- Jeremy Bicha <email address hidden> Sat, 13 May 2017 18:16:26 -0400

Changed in webkit2gtk (Ubuntu Zesty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package webkit2gtk - 2.16.2-0ubuntu0.16.04.1

---------------
webkit2gtk (2.16.2-0ubuntu0.16.04.1) xenial; urgency=medium

  * New upstream release (LP: #1690536)
  * Drop patches applied in new release
    - fix-google-login.patch
    - fix-new-youtube.patch

 -- Jeremy Bicha <email address hidden> Sat, 13 May 2017 18:02:53 -0400

Changed in webkit2gtk (Ubuntu Xenial):
status: Fix Committed → Fix Released
fplmelo (fplmelo) wrote :

Please, how to install this?

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers